## org.w3c.jigsaw.http.mux
Class MuxHttpHandler

    java.lang.Object
      |
      +--org.w3c.jigsaw.http.mux.MuxHttpHandler

public class MuxHttpHandler
extends java.lang.Object
implements MuxProtocolHandler

Field Summary
`protected int` `cid`
`protected int` `clientcount`
`protected MuxClient` `freelist`
`protected int` `maxclient`
`protected httpd` `server`
`protected ThreadCache` `threadcache`

Constructor Summary
`MuxHttpHandler(httpd server)`

Method Summary
`protected MuxClient` `getClient()`
`void` `initialize(MuxSession session)` Start speaking the protocol you handle on that session.
`protected void` `markIdle(MuxClient client)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### server

    protected httpd server

### cid

    protected int cid

### clientcount

    protected int clientcount

### maxclient

    protected int maxclient

### threadcache

    protected ThreadCache threadcache

### freelist

    protected MuxClient freelist

Constructor Detail

### MuxHttpHandler

    public MuxHttpHandler(httpd server)

Method Detail

### markIdle

    protected void markIdle(MuxClient client)

### getClient

    protected MuxClient getClient()

### initialize

    public void initialize(MuxSession session)
                    throws java.io.IOException

  Description copied from interface: MuxProtocolHandler
  Start speaking the protocol you handle on that session. Feel free to start a thread, or whatever is needed.
  Specified by:
    initialize in interface MuxProtocolHandler
  Tags copied from interface: MuxProtocolHandler
  Parameters:
    `session` - The session devoted to speak your protocol.